<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<window xmlns="http://jmix.io/schema/ui/window"
        caption="msg://transferInfoViewEdit.caption"
        focusComponent="form">
    <data>
        <instance id="transferInfoViewDc"
                  class="com.company.management.entity.wallet.TransferInfoView">
            <fetchPlan extends="_base"/>
            <loader id="transferInfoViewDl"/>
        </instance>
        <collection id="transStatusesDc" class="com.company.management.entity.wallet.TransStatus">
            <fetchPlan extends="_base"/>
            <loader id="transStatusesDl">
                <query>
                    <![CDATA[select e from TransStatus e]]>
                </query>
            </loader>
        </collection>
    </data>
    <facets>
        <dataLoadCoordinator auto="true"/>
        <screenSettings id="settingsFacet" auto="true"/>
    </facets>
    <actions>
        <action id="windowCommitAndClose" caption="msg:///actions.Ok"
                icon="EDITOR_OK"
                primary="true"
                shortcut="${COMMIT_SHORTCUT}"/>
        <action id="windowClose"
                caption="msg:///actions.Close"
                icon="EDITOR_CANCEL"/>
    </actions>
    <dialogMode height="600"
                width="800"/>
    <layout spacing="true" expand="scrollBox">
        <scrollBox id="scrollBox" spacing="true" width="100%">
            <form id="form" dataContainer="transferInfoViewDc" responsive="true">
<!--                <groupBox spacing="true" width="AUTO">-->
                    <vbox spacing="true">
                    <label stylename="bold h3" value="msg://Investor Information"/>
                            <hbox spacing="true">
                                <vbox spacing="true">
                                    <label id="senderNamelabel" value="Transferor Name" stylename="h4 bold"/>
                                    <textField id="senderName" property="sender" dataContainer="transferInfoViewDc"
                                               editable="false"/>
                                </vbox>
                                <vbox spacing="true">
                                    <label value="Sender Account Number" stylename="h4 bold"/>
                                    <textField id="senderAcountNumber" property="senderAccNo" dataContainer="transferInfoViewDc"
                                               enable="false"/>
                                </vbox>
                            </hbox>
                            <hbox spacing="true">
                                <vbox spacing="true">
                                    <label value="Transferee Name" stylename="h4 bold"/>
                                    <textField id="receiverField" property="receiver" dataContainer="transferInfoViewDc"
                                               enable="false"/>
                                </vbox>
                                <vbox spacing="true">
                                    <label value="Receiver Account Number" stylename="h4 bold"/>
                                    <textField id="receiverAccNoField" property="receiverAccNo" dataContainer="transferInfoViewDc"
                                               enable="false"/>
                                </vbox>
                            </hbox>
                            <hbox spacing="true">
                                <vbox spacing="true">
                                    <label stylename="bold h4" value="msg://Reference No."/>
                                    <textField id="referenceNo" property="reference" dataContainer="transferInfoViewDc"
                                               enable="false"/>
                                </vbox>
                                <vbox spacing="true">
                                    <label id="amountLabel" stylename="h4 bold" value="msg://Transfer Amount (g)"/>
                                    <textField id="amountField" property="amount" dataContainer="transferInfoViewDc"
                                               enable="false"/>
                                </vbox>
                            </hbox>
                        <vbox spacing="true" enable="false">
                            <label value="Transfer Status" stylename="h4 bold"/>
                            <comboBox id="approvalTransfer" dataContainer="transferInfoViewDc" property="statusName"/>
                        </vbox>
                    </vbox>
<!--                </groupBox>-->
            </form>
        </scrollBox>
        <hbox id="editActions" spacing="true">
<!--            <button id="submitBtn" caption="Submit"/>-->
<!--            <button id="commitAndCloseBtn" action="windowCommitAndClose"/>-->
            <button id="closeBtn" action="windowClose"/>
        </hbox>
    </layout>
</window>
